Results 1 to 6 of 6

Thread: IE 11 on Win8.1 support?

  1. #1
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    394

    Default IE 11 on Win8.1 support?

    When I try to load my app in IE11 on a win8.1 machine nothing shows up and many errors are logged in the console. Any word on when we'll get IE11 support in ExtJS 3?

    Any known work arounds in the meantime?

  2. #2
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    394

    Default

    For those without access to the premium forum....it was just posted that Sencha will *not* support IE11 on ExtJS version 3. I sincerely hope this turns out to be inaccurate, as they've promised to support v3 until 12 months after delivery of v5.

  3. #3
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    394

    Default IE11 *will* be supported by ExtJS 3

    Mike Mullany just cleared this up in the premium forum, so just in case this duplicate thread is missed, I'll post his response here:


    I think some information may have been garbled in transit due to confusion between support policy for 2.x and 3.x.

    We will definitely support IE11 in Ext JS 3 - the current plan is to add it in 3.4.2.

    There is no change to the support plan I communicated in the post that you're quoting.

    (FYI - the IE11 beta was extremely buggy, so don't extrapolate problems with the IE11 beta release to experience with GA)

  4. #4
    Sencha Premium User
    Join Date
    Oct 2007
    Location
    Berlin, Germany
    Posts
    891

    Default

    Quote Originally Posted by rich02818 View Post
    When I try to load my app in IE11 on a win8.1 machine nothing shows up and many errors are logged in the console.
    Are you using the latest 3.4.1.1 ? IE10 is covered there and it should also cover IE11 somehow because the IE recognizing stuff had changed a lot.

  5. #5
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    394

    Default

    Yes, I'm using 3.4.1.1 and IE11 does not work.

  6. #6
    Ext JS Premium Member
    Join Date
    Mar 2011
    Location
    DC
    Posts
    5

    Exclamation Issues I found with 3.4.2 and IE11

    From what I found:
    - no isIE11
    - isIE - return false
    - isGecko - returns true

    See http://blogs.msdn.com/b/ieinternals/...ko-webkit.aspx

    Not sure if thats because the 3.4.2 version from support is using 3.4.1.1 base code (only the build date was changed - see ext-base).

    Here are some workarounds:
    http://stackoverflow.com/questions/1...ith-javascript


    As a workaround for our application I only added/overrode the following:
    Ext.isIE11 = !!navigator.userAgent.match(/Trident/) && !!navigator.userAgent.match(/rv:11/);
    Ext.isGecko = Ext.isGecko && !navigator.userAgent.match(/like Gecko/);

    Overriding Ext.isIE resulted in issues in ext-all-debug.js line 10476: Unable to set property 'cssText' of undefined or null reference, so i left that alone.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •